import { get, post, url} from '../index'

class Question{
  // 当切换学段、学科（即切换不同学科教材）时，获取相应的题型。
  @url("/question/type")
  @get
  getQuestionType() {}

  // 获取全部难度
  @url("/question/diff-list")
  @get
  getQuestionDiffList() {}

  // 教师用户根据可选条件（题型、难度）等查询指定对接类型的系统试题。
  @url("/question/query-page")
  @get
  getQuestionQueryPage() {}

  //批量试题加入试题篮
  @url("/work/basket/add-batch")
  @post
  workAddbatch() {}

  //试题篮中试题数量
  @url("/work/basket/count")
  @get
  workBasketCount() {}

  //试题篮试题列表
  @url("/work/basket/list")
  @get
  workBasketList() {}

  //试题移出试题篮
  @url("/work/basket/delete")
  @get
  workBasketDelete() {}

  //试题篮序号调整
  @url("/work/basket/order-update")
  @post
  workBasketOrderUpdate() {}

  //清空试题篮
  @url("/work/basket/clear")
  @post
  workBasketClear() {}

  //发布
  @url("/work/matchingexercises/release")
  @post
  workRelease() {}

  //中高考专题
  //1获取全部专题
  @url("/question/special-topic")
  @post
  questionSpecialTopic() {}

  //获取学段、学科下的系统试题题型
  @url("/question/system-type")
  @get
  questionSystemType() {}

  //获取学段、学科下顶层的知识点
  @url("/navigation/top-knowledge")
  @get
  getTopKnowledge() {}

  //获取顶层的知识点的子节点
  @url("/navigation/child-knowledge")
  @get
  getChildKnowledge() {}

  //分页查询专题、节点等条件下的系统试题
  @url("/question/query-special-topic-question")
  @get
  getTopicQuestionList() {}
}
export default new Question()
